# std::poisson_distribution::reset

From cppreference.com
< cpp‎ | numeric‎ | random‎ | poisson distribution

void reset(); |  | (since C++11)

Resets the internal state of the distribution object. After a call to this function, the next call to operator() on the distribution object will not be dependent on previous calls to operator().

### Parameters

(none)

### Return value

(none)

### Complexity

Constant.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/poisson_distribution/reset&oldid=51017"